<?php

// Hooks
add_action( 'after_setup_theme', 'mychildtheme_setup' );
add_action( 'widgets_init', 'mychildtheme_widgets_init' );
add_action( 'wp_enqueue_scripts', 'mychildtheme_enqueue_styles' );

// setup MyChildTheme
function mychildtheme_setup() {

	// Register a navigation menu with WordPress
	register_nav_menu( 'footer', 'Footer Menu' );

	// Enable thumbnail support - aka Featured Images
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 624, 250 );

	// set a custom image size
	add_image_size('featured', 624, 50, true ); 

}

// setup widget areas
function mychildtheme_widgets_init() {
	register_sidebar( array(
		'name' => 'Page Sidebar',
		'id' => 'pages',
		'description' => 'Sidebar for Single Pages (but not Posts.)',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

}

// enqueue Google fonts
function mychildtheme_enqueue_styles() {
	wp_enqueue_style( 'mychildtheme-fonts', 'http://fonts.googleapis.com/css?family=Cabin+Sketch|Lobster' );
}

?>